Subject: bug#11450: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: David Leatherman <[email-masked]>
Date: Tue, 19 Jul 2016 10:41:43 -0400

Hi Alan,

I hadn't noticed due to some workarounds but this bug appears to be fixed.

Great success!

Thanks,
David

On Sun, Jul 17, 2016 at 4:41 PM, Alan Third <[email-masked]> wrote:

> Steve Purcell <[email-masked]> writes:
>
> > For example, the "GREEK SMALL LETTER LAMDA" (sic) character is
> > available in my favoured primary fonts (Pragmata Pro or Anonymous
> > Pro), but Emacs 24 still displays the Times New Roman version of the
> > character. It turns out that this mistake is also made by Emacs
> > 23.3.1.
> >
> > Meanwhile, OS X's Textedit app renders that character correctly in any
> > font which contains it.
> >
> > Strangely, if Emacs' default font is set to Menlo, the lambda
> > character from that font *is* used. The same applies to the "EMPTY
> > SET" character.
>
> Hi, are either of you still seeing the problems with the incorrect fonts
> being used? The entire font back-end for Emacs on OS X was replaced some
> time ago, so hopefully if the problem wasn't sorted before then, that
> should have done it.
> --
> Alan Third
>